# Class CIM_ParameterValueSources

ParameterValueSources represents the association between a MethodParameters instance and the ManagedElement instances, which contain properties to be used to create values for the MethodParameters properties.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ParameterValueSources

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ParameterValueSources represents the association between a MethodParameters instance and the ManagedElement instances, which contain properties to be used to create values for the MethodParameters properties.
UMLPackagePath | string | CIM::Core::MethodParms
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Parameters | CIM_ParameterValueSources | CIM_MethodParameters
ValueSource | CIM_ParameterValueSources | CIM_ManagedElement

## Class Methods